View Issue Details

IDProjectCategoryView StatusLast Update
0015589mantisbtdb postgresqlpublic2014-12-08 00:34
ReportervilarionAssigned Todregad 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.14 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0015589: Upgrade fails with postgresql
Description

There are two issues when upgrading to version 1.2.14 when using a postgresql database. All these errors occur in admin/install.php

First the system prevents you from having an empty hostname, which is what you need when connecting via unix sockets and it gives you an incorrect error message:
"database connection settings do not exist?"
(probably this check is made more than once in different places)

Second, the connection fails, because you need to supply the database name in line 302: $t_result = @$g_db->Connect( $f_hostname, $f_admin_username, $f_admin_password )
(as fourth parameter)
This error probably also occurs somewhere else in admin/install.php
(e.g. installation)
The (incorrect) error message here is: "Does administrative user have access to the database?"

TagsNo tags attached.

Relationships

related to 0017627 closeddregad Unable to upgrade to 1.2.17 from 1.2.16 (and to 1.2.16 from 1.2.15) using PostgreSQL 
child of 0014398 closeddregad Support for PostgreSQL broken in 1.3 

Activities

dregad

dregad

2014-02-24 15:24

developer   ~0039513

First the system prevents you from having an empty hostname, which is what you need when connecting via unix sockets

I suggest you use 'localhost'

and it gives you an incorrect error message: "database connection settings do not exist?"

In current master branch, the message states "BAD host name is blank"

There have been many improvement and fixes for Postgres support; I will therefore resolve this now.

If you are willing to test, please try to upgrade using a nightly build from master and report a new issue if you are still experiencing errors.

Issue History

Date Modified Username Field Change
2013-03-10 09:24 vilarion New Issue
2013-03-13 06:17 jayavel Issue cloned: 0015620
2013-07-30 06:51 dregad Relationship added child of 0014398
2013-08-16 04:38 hero2289 Tag Attached: closed
2013-08-16 06:33 atrol Tag Detached: closed
2014-02-24 15:24 dregad Note Added: 0039513
2014-02-24 15:24 dregad Status new => resolved
2014-02-24 15:24 dregad Fixed in Version => 1.3.0-beta.1
2014-02-24 15:24 dregad Resolution open => fixed
2014-02-24 15:24 dregad Assigned To => dregad
2014-02-24 15:24 dregad Target Version => 1.3.0-beta.1
2014-09-01 14:32 atrol Relationship added related to 0017627
2014-12-08 00:34 vboctor Status resolved => closed